Bug 612801 - balloon: win7 x86 guest quit with"virtio: trying to map MMIO memory" when checking balloon info using qmp
balloon: win7 x86 guest quit with"virtio: trying to map MMIO memory" when che...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 00:59 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A virtual machine must be restarted after the installation of the kernel windows driver framework. If the virtual machine is not restarted it may crash when a memory balloon is operation is performed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2010-07-09 00:59:22 EDT
Description of problem:
win7 x86 guest quit with"virtio: trying to map MMIO memory" when checking balloon info using qmp 

Version-Release number of selected component (if applicable):
virtio-win-1.1.7-2
qemu-kvm-0.12.1.2-2.91.el6.x86_64
kernel-2.6.32-44.el6.x86_64

How reproducible:
about 20%

Steps to Reproduce:
1.Run windows 7 x86 guest with CLI
 /usr/libexec/qemu-kvm  -M pc -m 2G -smp 2 -cpu qemu64,+x2apic  -usbdevice tablet -drive file=/mnt/win7-32-virtio.qcow2,if=none,id=drive-ide0-0-0,format=qcow2,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0  -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=00:00:14:3F:20:1A,bus=pci.0 -uuid 1234127c-e6e3-4e67-95da-8dd0a8891cc4  -name win7-32  -qmp tcp:0:4444,server,nowait -vnc :1 -boot c -monitor stdio -device virtio-balloon-pci,bus=pci.0
2.Install virtio balloon driver
3.Install balloon service :blnsrv.exe -i
4.Check balloon info using qmp
 {"execute":"query-balloon"}
  
Actual results:
Guest quit with"virtio: trying to map MMIO memory" 

Expected results:
The balloon info should show correctly

Additional info:
This issue also happens when using monitor "info balloon" to check balloon info
Comment 2 Vadim Rozenfeld 2010-07-17 03:48:46 EDT
Did you restart VM after step 2 or 3?
Comment 3 Shirley Zhou 2010-07-18 22:19:30 EDT
(In reply to comment #2)
> Did you restart VM after step 2 or 3?    

No restart after step 2 and step 3.
Comment 4 Vadim Rozenfeld 2010-07-18 23:32:31 EDT
VM must be restarted after first-time KWDF framework installation. Usually KMDF
co-installer notices the fact that framework was installed first time and asks for rebooting.
Comment 5 Shirley Zhou 2010-07-19 00:33:56 EDT
(In reply to comment #4)
> VM must be restarted after first-time KWDF framework installation. Usually KMDF
> co-installer notices the fact that framework was installed first time and asks
> for rebooting.    
Hi, Vadim
There is no pop-up info to remind restart after install virtio balloon driver.
Comment 6 Dor Laor 2010-07-19 04:46:47 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > VM must be restarted after first-time KWDF framework installation. Usually KMDF
> > co-installer notices the fact that framework was installed first time and asks
> > for rebooting.    
> Hi, Vadim
> There is no pop-up info to remind restart after install virtio balloon driver.    

If you reboot it, will it work?
Comment 7 Shirley Zhou 2010-07-19 05:12:45 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > VM must be restarted after first-time KWDF framework installation. Usually KMDF
> > > co-installer notices the fact that framework was installed first time and asks
> > > for rebooting.    
> > Hi, Vadim
> > There is no pop-up info to remind restart after install virtio balloon driver.    
> 
> If you reboot it, will it work?    

After I reboot this guest, and using qmp checking balloon info for ten times,can not reproduce this issue.
Comment 8 Dor Laor 2010-07-19 05:16:13 EDT
ok, I think we can close this issue and note the reboot in release notes.
Comment 9 Dor Laor 2010-07-19 05:16:13 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The VM must be restarted after first-time KWDF framework installation. Without restart, the VM might access unprivileged memory when the balloon is used. This will lead to VM crash.
Comment 10 Shirley Zhou 2010-08-17 02:17:21 EDT
Verify this bug with virtio-win-1.1.11 on qemu-kvm-0.12.1.2-2.109.el6.x86_64 as following:
1. start win7 x86 guest using virt manager
2. install virtio balloon driver
3. reboot guest
4. install balloon service
5. reboot guest
6. after about 15 mins, check libvirt log, we can see query balloon many times, and guest still runs ok
[root@t78 libvirt]# cat libvirtd.log |grep query-balloon|wc -l
1005

This bug has been fixed. change status to verified.
Comment 15 Ryan Lerch 2010-10-05 01:13:17 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The VM must be restarted after first-time KWDF framework installation. Without restart, the VM might access unprivileged memory when the balloon is used. This will lead to VM crash.+A virtual machine must be restarted after the installation of the kernel windows driver framework. If the virtual machine is not restarted it may crash when a memory balloon is operation is performed.
Comment 16 releng-rhel@redhat.com 2010-11-11 11:30:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.